.help-modal{

  .rs-modal {
    height: 100vh;
    width: 100vw;
    
    &-dialog {
      width:100%;
    }
    &-body {
      margin: 0;
      padding: 0px;
      max-height: 90vh !important; //
      height: 90vh;
    }
    &-content{
      border-radius: 15px;
      padding: 0;
      height: 100%;
      width: inherit;            
    }
  }

  &-custom{
    margin: 0 auto;
    display: flex !important;
    justify-content: center;
    align-items: center;
    width: 65%;
    height: 100%;
    background: initial !important;
    @media (max-width: 600px) {
      width: 100%;        
    }  
  }

  .modal-header{
    display: flex;
    align-items: center ;
    justify-content: space-between;
    font-size: 18px;
    font-family: 'Montserrat SemiBold';
    padding: 15px 35px;
    color: #606161;
  }
  
  .modal-sub-content{
    border-radius: 0 0 15px 15px;
    background-color: #54548f1a;
    padding: 0 35px 35px;
    height: calc(100% - 70px);
  }
  
  .modal-menu{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 15px 0 20px;
  }

  .btn-select{
    position: relative;
    height: 40px;
    width: 176px;
    font-size: 12px;
    font-family: 'Montserrat Medium';
    padding: 5px 15px;
    background-color: white;
    color: #6969AA;
    margin-left: 20px;

    &[data-active="true"]{
      background-color: #6969AA;
      color: white;
    }
  }

  .document-guide{
    display: flex;
    height: 100%;
    border-radius: 30px;
    .nav-main{
      width: 25%;
      background-color:#C8EAF6;
      border-radius: 15px 0 0 15px;
      overflow-y:auto;
      ul{
        list-style:none;
        text-align: center;
        background-color: white;
        border-radius: 15px;
      }
      button{
        display: flex;
        align-items: center;
        justify-content: center;
        border-bottom:1px solid white;
        height: 48px;
        width: 100%;
        padding: 0px 15px;
        font-size: 12px;
        font-family: 'Montserrat Regular';
        background-color:#C8EAF6;
        color:#6969AA;  
        &[data-active = "true"]{
          font-family: 'Montserrat SemiBold';
          background-color:white;
          color:#6969AA;
          border-right: 4px solid #6969AA;
        }
      }
      .btn-elipsis{
        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
      }

      button:hover{
        font-family: 'Montserrat SemiBold';
        background-color:white;
        color:#6969AA;
        // border-right: 4px solid #6969AA;
      }
      ul button:first-child{
        border-radius: 15px 0 0;
      }
    }

    .nav-content{
      width: 75%;
      height: 100%;
      border-radius: 0 15px 15px 0;
      background-color: white;
      position: relative;
    }
  
    .zoom-in-toggle, .zoom-in-toggle:hover {
      position: absolute;
      border-radius: 15%;
      background-color: #6969AA1A;
      height: 40px;
      width: 40px;
      z-index: 90;
      cursor: pointer;
      bottom: 20px;
      right: 20px;
      img {
        width: 100%;
        height: 100%;
        object-fit: contain;
        object-position: center;
      }
    }
  }

  .video-guide{
    display:flex;
    justify-content: center;
    flex-wrap: wrap;
    background-color: white;
    border-radius: 30px;
    padding: 35px 0;
    width: 100%;
    height: 100%;
    overflow-y: auto;
  }
  .video-guide > div {
    // flex: 50%;
    width: 45%;
    padding: 20px;
  }
  .video-section{
    align-items: center;
    justify-content: center;
    display: flex;
    flex-direction: column ;
    align-items: flex-start;
  }
  .video-title{
    display: flex;
    justify-content: left;
    align-items: center;
    font-size: 13px;
    font-family: 'Montserrat Medium';
    width: 80%;
  }
  .vid-name{
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    padding: 0 10px 0;
  }
  .vid-duration{
    display:flex;
    align-items: center;
    font-size: 11.45px;
    color: #606161;
    width: 20%;
  }
  .video-element{
    display: flex;
    justify-content: space-between;
    padding: 15px;
    width: 100%;
    font-size: 13.35px;
    font-family: 'Montserrat Medium';
    color: #2D2D2D;
  }
  .play-btn{
    justify-content: center;
    align-items: center;
    display: flex;
    border-radius: 25px;
    background-color: #6969AA;
    width: 30px;
    height: 30px;
    cursor: pointer;
    .img{
      width: 100%;
      height: 100%;
      object-fit: contain;
      object-position: center;
    }
  }
  
  .play-btn:active, .play-btn:hover{
    background-color: #6969AA;
  }
}

/* Document Detail */
.document-detail{

  .rs-modal {
    height: 100vh;
    width: 100vw;
    
    &-dialog {
      width:100%;
    }
    &-body {
      margin: 0;
      padding: 0px;
      height: 90vh;
      position: relative;
      max-height: 90vh !important; //
    }
    &-content{
      border-radius: 15px;
      padding: 0;
      height: 100%;
      width: inherit;            
    }
  }

  &-custom{
    margin: 0 auto;
    display: flex !important;
    justify-content: center;
    align-items: center;
    width: 65%;
    height: 100%;
    background: initial !important;
    @media (max-width: 600px) {
      width: 100%;        
    }  
  }

  .modal-document-content{
    height: 100%;
    padding: 0px 35px 20px;
    height: 85%;
  }

  .zoom-out-toggle, .zoom-out-toggle:hover{
    background-color: #6969AA1A;
    height: 40px;
    width: 40px;
    position: absolute;
    bottom: 25px;
    right: 35px;
    cursor: pointer;
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
      object-position: center;
    }
  }
}

.modal-detail-header{
  display: flex;
  word-wrap: break-word;
  align-items: center ;
  justify-content: space-between;
  font-size: 18px;
  font-family: 'Montserrat SemiBold';
  padding: 20px 35px;
  color: #6969AA;
}

.option-btn {
  border-radius: 25%;
  background-color: #6969AA1A;
  height: 40px;
  width: 40px;
  position: relative;
  cursor: pointer;
  img {
      width: 100%;
      height: 100%;
      object-fit: contain;
      object-position: center;
  }
}

#outer {
  border-radius: 15px;
  box-shadow: 0px 0px 3px #ccc;
  cursor: pointer;
  width: 100%;
}

.video-detail{

  .rs-modal {
    height: 100vh;
    width: 100vw;
    
    &-dialog {
      width:100%;
    }
    &-body {
      margin: 0;
      padding: 0px;
      position: relative;
    }
    
    &-content{
      border-radius: 15px;
      padding: 0;
      height: 100%;
      width: inherit;            
    }
  }

  &-custom{
    margin: 30px auto;
    display: flex !important;
    justify-content: center;
    align-items: center;
    width: 65%;
    background: initial !important;
    @media (max-width: 600px) {
      width: 100%;        
    }  
  }

  .select-vid{
    width: 100%;  
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0px 35px 35px;
    background-color: white;  
  }

  #select{
    border-radius: 15px;
    width: 100%;
    height: 100%;
  }

  .play-list{
    width: 100%;
    height: 40%;
    padding: 30px 35px 35px 35px;
    background-color: #54548f1a;

  }

  .text{
    height: 20%;
    font-size: 18px;
    font-family: 'Montserrat Medium';
    padding: 0 0 20px;
    color: #575758;
  }
  
  .item-slide{
    padding: 0 20px 0 0;

  }

  .video-component{
    background-color: white;
    border-radius: 15px;
    width: 100%;
    height: 100%;
    justify-content: center;
    display: flex;
    flex-direction: column ;
    align-items: flex-start;
  }

  .video-element-mod{
    display: flex;
    align-items: center;
    justify-content: space-between;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    padding: 15px;
    width: 100%;
  }
  .text-name{
    font-size: 13.35px;
    font-family: 'Montserrat Medium';
    color: #2D2D2D;
    width: 80%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .vid-toggle{
  
    &__right{
      background-color: #6969AA;
      justify-content: center;
      align-items: center;
      display: flex;
      width: 40px;
      height: 40px;
      border-radius: 0 10px 10px 0;
      opacity: 0.3;
      transition: opacity 0.2s;
    }
    &__left{
      background-color: #6969AA;
      justify-content: center;
      align-items: center;
      display: flex;
      width: 40px;
      height: 40px;
      border-radius: 10px 0 0 10px;
      opacity: 0.3;
      transition: opacity 0.2s;
    }
    &__left:hover, &__right:hover{
      opacity: 1;
    }
    .img{
      width: 100%;
      height: 100%;
      object-fit: contain;
      object-position: center;
    }
  }
}

.no-data-user-guide{
  height: 90%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  img{
    max-width: 45%;
    max-height: 200px;
  }
  span{
    padding: 10px;
  }
}

#scroll-style::-webkit-scrollbar-track{
  background-color: #F5F5F5;
}
#scroll-style::-webkit-scrollbar{
  width: 4px;
  background-color: #F5F5F5;
}
#scroll-style::-webkit-scrollbar-thumb{
  background-color: #bbbbbb;
}
